clear
T = 30;             % time length
FS = 8192;          % sampling frequency
time = 0:1/FS:T;
npoints = length(time)-1;
Fc = 2500;    % try 100, 500, 1000, 2500, 4000        
wc = 2*Fc*pi;   %carrier frequency

% create m(t)

M = [0 0 0 0 0; 0 0 1 0 1;0 1 0 1 0;0 1 1 1 1; 1 0 1 0 0];
[nr,nc] = size(M);
t1 = input('t1 = ');
t1_length = round(t1*FS);
m_int = ones(1,t1_length);
m = [];
for i=1:nr,
    for ii=1:nc,
        m = [m m_int*M(i,ii)];
    end
end
m = [m zeros(1,(length(time)-length(m)))];
plot(time,m);
axis([0 30 0 2]);
pause



X = cos(time*wc);

S = m.*X;


figure(1)
plot(time,X)
title('Carrier Signal')
xlabel('Time (sec)')
figure(2)
plot(time,m)
title('Envelope');
xlabel('Time(sec)')
figure(3)
subplot(211)
plot(time,S,'k')
title('(a)'); %Generated Sound data
xlabel('Time (sec)')
ylabel('Signal Sent to Speakers')
sound(S,FS)