clear
T = 30;             % time length
FS = 8192;          % sampling frequency
time = 0:1/FS:T;
npoints = length(time)-1;
Fc = 1000;    % try 100, 500, 1000, 3000, 4000        
wc = 2*Fc*pi;   %carrier frequency

% chirp signal m(t)
m_startf = 0.05;   %start frequency
m_endf = 1.5;      %end frequency
dmf = log10(m_endf/m_startf)/npoints;  % log spacing
logmf = log10(m_startf):dmf:log10(m_endf);
mf = 10.^logmf;
m = cos(time.*mf*2*pi);
env = 0.3*m + 0.6;
%%env = env / max(env); %%To stop clipping

X = cos(time*wc);

S = env.*X;

figure(1)
plot(time,X)
title('Carrier Signal')
xlabel('Time (sec)')
figure(2)
plot(time,env)
title('Envelope');
xlabel('Time(sec)')
figure(3)
subplot(211)
plot(time,S,'k')
title('(a)'); %Generated Sound data
xlabel('Time (sec)')
ylabel('Signal Sent to Speakers')
sound(S,FS)